Subject: RE: bug#46084: [External] : Re: bug#46084: 26.3; Elisp manual: provide a link to (eintro) up front

From: Drew Adams <[email-masked]>
Date: Thu, 28 Jan 2021 15:16:09 +0000

> > I agree, let's make the link.  It costs almost nothing on any
> > dimension, and you're right that it will help some people.
> 
> Did anyone look in the ELisp manual before writing about this issue?

Yes, I did.

> Because there is already a link.

Not that I see.  At least not in Emacs 26.3
(or 27.1, or the latest 28 MS Windows
snapshot I have).

> The ELisp manual says in its first chapter, "Introduction":
> 
>      This manual attempts to be a full description of Emacs Lisp.  For
> a
>   beginner’s introduction to Emacs Lisp, see ‘An Introduction to Emacs
>   Lisp Programming’, by Bob Chassell, also published by the Free
> Software
>   Foundation.  This manual presumes considerable familiarity with the
> use
>   of Emacs for editing; see ‘The GNU Emacs Manual’ for this basic
>   information.
> 
> What else is missing?

A link (as the enhancement request says).  Not just
a textual mention of the manual's title, but an Info
link.
___

And while we're at it, please consider adding a link
(a link) to the Emacs manual, as well.

Textual references are great.  Linked textual refs
are even better.
___

BTW, "This manual" can be misunderstood in the last
sentence you quoted.  We presumably want it to mean,
like the first "This manual" of the paragraph, the
Elisp manual.  But immediately following mention of
Eintr, it becomes a bit ambiguous.  Better to make
explicit which manual is meant.